#include "applicationWrapper.h"


/**
 * @brief      Create wrapper to Nice Application
 *
 * @param[in]  argc  The argc
 * @param      argv  The argv
 */
applicationWrapper::applicationWrapper(int argc, char* argv[])
{
  // U3_LOG(__FUNCTION__ << " constructor...");
  Nice::Application::init(argc, argv);
  // U3_LOG(__FUNCTION__ << " constructor done");
}


/**
 * @brief      Destroys the object.
 */
applicationWrapper::~applicationWrapper()
{
  // U8_LOG(__FUNCTION__ << " destructor");
  int status = EXIT_SUCCESS;
  status = Application::end(status);
}


/**
 * @brief      Run the application wrapper
 *
 * @param[in]  argc  The argc
 * @param      argv  The argv
 *
 * @return     {Always returns EXIT_SUCCESS}
 */
int applicationWrapper::run(int argc, char* argv[])
{
  return EXIT_SUCCESS;
}
