#ifndef _APPLICATION_WRAPPER_
#define _APPLICATION_WRAPPER_

#include <config.h>
#include <Nice/App/Application.h>
#include <Nice/App/ConfigClient.h>

class applicationWrapper : public Nice::Application
{
public:
  applicationWrapper(int argc, char* argv[]);
  ~applicationWrapper();

  virtual int run (int, char*[]);

  template<typename IFTYPE> 
    IceUtil::Handle<IFTYPE> connect(const std::string & _alias)
    {
      Nice::Endpoint ep = Nice::Endpoint::fromString(std::string("[ALIAS=") + _alias + "]");
      Nice::AppConfigClientPtr con =  Nice::AppConfigClient::connectWithEndpointAtNode ( ep, _alias );
      return  IFTYPE::create(_alias);
    }
};


#endif // _APPLICATION_WRAPPER_
