

from shinsapp import SHINSApp
from util import variables as uvars
from util import functions as ufun
from util.shinsLogger import logger
from util import exception
import time

from SHARKNIR_gen_base import SHARKNIR_gen_base

class testOB_davide(SHINSApp):

    @exception.handler_for_run
    def run(self, ins_s=None, det_s=None, tel_s=None, rtc_s=None, **kwargs):
    
        logger.info(__name__)
        obsController = self.obsController
        self.status = uvars.EXIT_SUCCESS

        gen_base = SHARKNIR_gen_base()

        ###########################
        ##### Repeat the test #####
        ###########################

        if self.paragraph("zero"):
            time.sleep(1)

        if self.paragraph("uno"):
            time.sleep(1)

        if self.paragraph("due"):
            print(1+"a")
            time.sleep(1)

        if self.paragraph("tre"):
            time.sleep(1)

        if self.paragraph("quattro"):
            time.sleep(1)

        if self.paragraph("cinque"):
            time.sleep(1)

        if self.paragraph("sei"):
            time.sleep(1)

        if self.paragraph("sette"):
            time.sleep(1)

        if self.paragraph("otto"):
            time.sleep(1)

        # ################
        # # new gen base #
        # ################

        # logger.warning("Only Setup")
        # gen_base.main(ins_s=ins_s)

        # logger.warning("Only Detector")
        # gen_base.main(det_s=det_s)

        # logger.warning("Setup and detector")
        # gen_base.main(ins_s=ins_s, det_s=det_s)

        # logger.warning("Setup and detector, NO EXPOSE")
        # gen_base.main(ins_s=ins_s, det_s=det_s, expose=False)
        
